Package com.sas.lsaf.execution.job

## Class ManifestMetrics

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestMetrics

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ManifestMetrics
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the metrics information for the synchronization of job items.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestMetrics​(ManifestSynchronizationMetrics jobMetrics, ManifestSynchronizationMetrics programsMetrics, ManifestSynchronizationMetrics inputsMetrics, ManifestSynchronizationMetrics outputsMetrics, ManifestSynchronizationMetrics inputsReferencedMetrics, ManifestSynchronizationMetrics totalInputMetrics)` | It is not intended or recommended that the consumer of this API construct these objects.
    `ManifestMetrics​(ManifestSynchronizationMetrics jobMetrics, ManifestSynchronizationMetrics programsMetrics, ManifestSynchronizationMetrics inputsMetrics, ManifestSynchronizationMetrics outputsMetrics, ManifestSynchronizationMetrics inputsReferencedMetrics, ManifestSynchronizationMetrics outputsReferencedMetrics, ManifestSynchronizationMetrics totalInputMetrics)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `ManifestSynchronizationMetrics` | `getInputsMetrics()` | Gets the synchronization metrics for the job input files.
    `ManifestSynchronizationMetrics` | `getInputsReferencedMetrics()` | Gets the synchronization metrics for the input files that were referenced by the programs.
    `ManifestSynchronizationMetrics` | `getJobMetrics()` | Gets the synchronization metrics for the job file.
    `ManifestSynchronizationMetrics` | `getOutputsMetrics()` | Gets the synchronization metrics for the job output files.
    `ManifestSynchronizationMetrics` | `getOutputsReferencedMetrics()` | Gets the synchronization metrics for the output files that were referenced by the programs.
    `ManifestSynchronizationMetrics` | `getProgramMetrics()` | Gets the synchronization metrics for the job program files.
    `ManifestSynchronizationMetrics` | `getTotalInputMetrics()` | Gets the total synchronization metrics for inputs transferred from repository.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestMetrics

          public ManifestMetrics​(ManifestSynchronizationMetrics jobMetrics,
                                 ManifestSynchronizationMetrics programsMetrics,
                                 ManifestSynchronizationMetrics inputsMetrics,
                                 ManifestSynchronizationMetrics outputsMetrics,
                                 ManifestSynchronizationMetrics inputsReferencedMetrics,
                                 ManifestSynchronizationMetrics totalInputMetrics)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the metrics that are returned by the API.
      Parameters:
        `jobMetrics` - The synchronization metrics for the job file.
        `programsMetrics` - The synchronization metrics for the program files.
        `inputsMetrics` - The synchronization metrics for the input files.
        `outputsMetrics` - The synchronization metrics for the output files.
        `inputsReferencedMetrics` - The metrics for the input files that were referenced by the programs.
        `totalInputMetrics` - The total synchronization metrics for input files that were transferred from the repository.

    - #### ManifestMetrics

          public ManifestMetrics​(ManifestSynchronizationMetrics jobMetrics,
                                 ManifestSynchronizationMetrics programsMetrics,
                                 ManifestSynchronizationMetrics inputsMetrics,
                                 ManifestSynchronizationMetrics outputsMetrics,
                                 ManifestSynchronizationMetrics inputsReferencedMetrics,
                                 ManifestSynchronizationMetrics outputsReferencedMetrics,
                                 ManifestSynchronizationMetrics totalInputMetrics)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the metrics that are returned by the API.
      Parameters:
        `jobMetrics` - The synchronization metrics for the job file.
        `programsMetrics` - The synchronization metrics for the program files.
        `inputsMetrics` - The synchronization metrics for the input files.
        `outputsMetrics` - The synchronization metrics for the output files.
        `inputsReferencedMetrics` - The metrics for the input files that were referenced by the programs.
        `outputsReferencedMetrics` - The metrics for the output files that were referenced by the programs.
        `totalInputMetrics` - The total synchronization metrics for input files that were transferred from the repository.

  - ### Method Detail

    - #### getJobMetrics

          public ManifestSynchronizationMetrics getJobMetrics()

      Gets the synchronization metrics for the job file.
      Returns:
        The synchronization metrics.

    - #### getProgramMetrics

          public ManifestSynchronizationMetrics getProgramMetrics()

      Gets the synchronization metrics for the job program files.
      Returns:
        The synchronization metrics.

    - #### getInputsMetrics

          public ManifestSynchronizationMetrics getInputsMetrics()

      Gets the synchronization metrics for the job input files.
      Returns:
        The synchronization metrics.

    - #### getOutputsMetrics

          public ManifestSynchronizationMetrics getOutputsMetrics()

      Gets the synchronization metrics for the job output files.
      Returns:
        The synchronization metrics.

    - #### getInputsReferencedMetrics

          public ManifestSynchronizationMetrics getInputsReferencedMetrics()

      Gets the synchronization metrics for the input files that were referenced by the programs.
      Returns:
        The synchronization metrics.

    - #### getOutputsReferencedMetrics

          public ManifestSynchronizationMetrics getOutputsReferencedMetrics()

      Gets the synchronization metrics for the output files that were referenced by the programs.
      Returns:
        The synchronization metrics.
      Since:
        2.4

    - #### getTotalInputMetrics

          public ManifestSynchronizationMetrics getTotalInputMetrics()

      Gets the total synchronization metrics for inputs transferred from repository.
      Returns:
        The total synchronization metrics.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`